import { IProperty } from '../IProperty.js';
import { IDesignItem } from '../../../item/IDesignItem.js';
import { IJsonPropertyDefinitions } from './IJsonPropertyDefinitions.js';
import { AbstractPropertiesService } from './AbstractPropertiesService.js';
import { RefreshMode } from '../IPropertiesService.js';
import { IPropertyGroup } from '../IPropertyGroup.js';
export declare class ListPropertiesService extends AbstractPropertiesService {
    getRefreshMode(designItem: IDesignItem): RefreshMode;
    name: string;
    private _propertys;
    constructor(propertyDefinitions: IJsonPropertyDefinitions, recreateElementsOnPropertyChange?: boolean);
    isHandledElement(designItem: IDesignItem): boolean;
    protected _notifyChangedProperty(designItem: IDesignItem, property: IProperty, value: any): void;
    getProperties(designItem: IDesignItem): Promise<IProperty[] | IPropertyGroup[]>;
}
